language: node_js
os: linux
node_js:
- "10"
- "12"
- "14"
env:
  - NPM_SCRIPT=test:browserless
jobs:
  include:
    - name: "Browser tests: full build, Chrome & Firefox stable"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:browser"
        - BROWSERS="ChromeHeadless,FirefoxHeadless"
      addons:
        chrome: stable
        firefox: latest
    - name: "Browser tests: slim build, Chrome stable"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:slim"
        - BROWSERS="ChromeHeadless"
      addons:
        chrome: stable
    - name: "Browser tests: no-deprecated build, Chrome stable"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:no-deprecated"
        - BROWSERS="ChromeHeadless"
      addons:
        chrome: stable
    - name: "Browser tests: no-Sizzle build, Chrome stable"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:no-sizzle"
        - BROWSERS="ChromeHeadless"
      addons:
        chrome: stable
    - name: "Browser tests: AMD build, Chrome stable"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:amd"
        - BROWSERS="ChromeHeadless"
      addons:
        chrome: stable
    - name: "Browser tests: full build, Firefox ESR"
      node_js: "12"
      env:
        - NPM_SCRIPT="test:browser"
        - BROWSERS="FirefoxHeadless"
      addons:
        firefox: latest-esr
script:
  - npm run $NPM_SCRIPT
